﻿using System.Runtime.InteropServices.JavaScript;
using System.Runtime.Versioning;

namespace SimpleVoiceMeeting.BlazorWasm;

[SupportedOSPlatform("browser")]
public static partial class SvmAudioPlaybackModule
{
    private static JSObject _jsModule;

    public static async Task PlayChunk(byte[] chunk)
    {
        _jsModule ??= await JSHost.ImportAsync("SvmAudioPlaybackModule", $"{SvmGlobal.BasePath ?? "/"}svm-audio-playback-module.js");
        await JsPlay(chunk);
    }

    [JSImport("play", "SvmAudioPlaybackModule")]
    private static partial Task JsPlay(byte[] chunk);
}